CVC4::ArrayStoreAllHashFunction Struct Reference

Hash function for the ArrayStoreAll constants. More...

`#include <array_store_all.h>`

## Public Member Functions

size_t | operator() (const ArrayStoreAll &asa) const

## Detailed Description

Hash function for the ArrayStoreAll constants.

Definition at line 92 of file array_store_all.h.

## Member Function Documentation

## operator()()

size_t CVC4::ArrayStoreAllHashFunction::operator() | ( | const ArrayStoreAll & | asa | ) | const

inline

Definition at line 93 of file array_store_all.h.

References CVC4::ArrayStoreAll::getExpr(), and CVC4::ArrayStoreAll::getType().

The documentation for this struct was generated from the following file:

- src/util/array_store_all.h